Ruby - Feature #5959

Addrinfo#inspectname
02/02/2012 05:16 PM - naruse (Yui NARUSE)

Status: Rejected

Priority: Normal
Assignee: akr (Akira Tanaka)
Target version:

Description

Addrinfo [0000000Socket.getaddrinfo 000000000000000000
0000000 inspect 000000000000DO00DOODDOO0D
0000000000Do0DO AP DOCODOOD

000ame 0000000000000000D0D0DODODOOOOODODOOOOOO Addrinto DOOOOOON
000000000 AP 0000000
000 ¢ 00000inspectname [ hostname 00000000000

History

#1 - 02/02/2012 07:30 PM - kosaki (Motohiro KOSAKI)

Addrinfo 0000000Socket.getaddrinfo D00000000000000000
(000000 inspect 000000D0000DDODODDODODDOD
0000000000000D0 AP ODOODDD

qo0o0ie 000DOODOODOO0DO0DOO0DO0DO0DO0DDO0DO0 Addrinto OODOOODO

000000000 AP DOODDOD
000 ¢ 00000inspectname [ hostname 00000000000

inspectname 0000000inspect100000000000000000000000000
qaoooo0onooooonoonooooonn

#2 - 02/02/2012 07:31 PM - akr (Akira Tanaka)
2012[12012[117:16 Yui NARUSE naruse@airemix.jp:
Addrinfo 0000000Socket.getaddrinfo D00000000000000000
0000000 inspect O000000000000000D0OOOOOO0OD
0000000000000D0 AP ODOODDD
aooofe 0O0DOOOOOOOODDOOOODOODDDOOOO0O0DOD00O Addrinfo OOOOODODOO
000000000 AP DOODDOD
000 ¢ 00000inspectname [ hostname 00000000000
inspectname (000000000000
oooooonooo

e Addrinfo.getaddrinfo("www.kame.net", 80, nil, :STREAM)
e #=> [#<Addrinfo: 203.178.141.194:80 TCP (www.kame.net:80)>,

- #<Addrinfo: [2001:200:0:8002:203:47ff:fea5:3085]:80 TCP

(www.kame.net:80)>]

0000000 www.kame.net:80 000000000000000000000
(00000O00DO0Do0nDO0hOnnoonDanD)

inspectname 00000000000 inspect 0000000000000
1000oooooooooooa
mailto:naruse@airemix.jp
http://www.kame.net:80)%3E%5D
http://www.kame.net:80

000 Addrinfo000000000000000000000D00O0O0OODODDD
(00 0000 000)[Tanaka Akira]
#3 - 02/02/2012 07:31 PM - akr (Akira Tanaka)
2012[120120118:12 Tanaka Akira akr@fsij.org:
inspectname 0000000000000
0onoopooo

e Addrinfo.getaddrinfo("www.kame.net", 80, nil, :STREAM)
e #=> [#<Addrinfo: 203.178.141.194:80 TCP (www.kame.net:80)>,

. #<Addrinfo: [2001:200:0:8002:203:47ff:fea5:3085]:80 TCP

(www.kame.net:80)>]

0000000 www.kame.net:80 000000000000000000000
(000DO0DODOODhoDoonO0DODoonanDD)

00000000000000:s0 0000ODODOODODODODODD
0000obononoo

"http" 0000000inspectname 0000000000000000000

% ./ruby -rsocket -rpp -e 'pp Addrinfo.getaddrinfo("www.kame.net",
"http", nil, :STREAM)'

[#<Addrinfo: 203.178.141.194:80 TCP (www.kame.net:http)>,
#<Addrinfo: [2001:200:dff:fff1:216:3eff:feb1:44d7]:80 TCP
(www.kame.net:http)>]

0opoooooo00inspectname 000000000000000
(00 03000 000j[Tanaka Akira]
#4 - 02/02/2012 07:32 PM - naruse (Yui NARUSE)
(2012/02/02 18:33), Tanaka Akira wrote:
2012[120120118:12 Tanaka Akira akr@fsij.org:
inspectname 0000000000000
0oooponoo

e Addrinfo.getaddrinfo("www.kame.net", 80, nil, :STREAM)
e #=> [#<Addrinfo: 203.178.141.194:80 TCP (www.kame.net:80)>,

- #<Addrinfo: [2001:200:0:8002:203:47ff:fea5:3085]:80 TCP

(www.kame.net:80)>]

0000000 www.kame.net:80 000000000000000000000
(000000O0DODO0Don0ODo0DOno0DoD)

00000000000000:s0 0000ODOOOODODODODODD
00o0obononoo

"http" 000000 0inspectname 000000000000000000D

% ./ruby -rsocket -rpp -e 'pp Addrinfo.getaddrinfo("www.kame.net",
"http", nil, :STREAM)'

[#<Addrinfo: 203.178.141.194:80 TCP (www.kame.net:http)>,
#<Addrinfo: [2001:200:dff:fff1:216:3eff:feb1:44d7]:80 TCP
(www.kame.net:http)>]
mailto:akr@fsij.org
http://www.kame.net:80)%3E%5D
http://www.kame.net:80
http://www.kame.net:80)%3E%5D
http://www.kame.net:80

0000000000Dinspectname 0O0000000000000

00000000000000000Dinspectnamel0000000
oooooooooooooboooa

inspectname 00000000000 inspect 0000000000000
10000oooonoooooa

000Addrinfo 000000000000O0O00000DODODODODODOD

0000000000000000D00000n0nananann
0000000000000 i 00DODOODODOODO

NARUSE, Yui naruse@airemix.jp

#5 - 02/05/2012 09:23 PM - akr (Akira Tanaka)
201202002[119:13 NARUSE, Yui naruse@airemix.jp:

00000000000000000Dinspectnamel000O000
Qoooooooooooooooo

000000000inspect DOODOODOOODOO

inspectname 0000000000000000000inspectl0000000000
(00 0000 000)[Tanaka Akira]

#6 - 02/05/2012 11:23 PM - naruse (Yui NARUSE)
(2012/02/05 21:23), Tanaka Akira wrote:

2012[12020019:13 NARUSE, Yui naruse@airemix.jp:

000000000000000000inspectnamel000O000
qoooopooobooooooo

00000000Dinspect 0000000000DOO
inspectname 0000000000000000000inspect 00000000000

0000 ad hoc 000000000000API 0O0O0O000DODODODODOOON
0000000000000onoono
000000oDoDoooonoDoDoDoDoD

#!/usr/local/bin/ruby

require 'net/http’

class Addrinfo

def to_str

inspect[/(([a-zA-Z-.]+)/, 1]

end

def +(a)

inspect[/(([a-zA-Z-]+)/, 1] + a

end

end

class Net::HTTP

def conn_address

@address.is_a?(Addrinfo) ? @address.ip_address : @address
end

end

Addrinfo.getaddrinfo('rubyci.org', 'http', nil, :STREAM).each do |ai|
p ai

p Net::HTTP.get_response(ai, '/')

end

NARUSE, Yui naruse@airemix.jp
#7 - 02/06/2012 01:23 PM - akr (Akira Tanaka)
2012[1205023:06 NARUSE, Yui naruse@airemix.jp:

0000 ad hoc 000000000000API 0O0O000D0DODODODODOOOD
00oDoboDoooononong

00000000nevhttp 0 ipadar: 000000000

[ruby-dev:44368] 000000000

000000o0onoooononononononanano
Unevnttp 0000000000000000

http proxy 000000 IPO000D0D0O0OODODODODD
net/http00000000000000000000000000D00O0D00ODD

(00 Oy000 000yTanaka Akira]

#8 - 02/17/2012 06:47 PM - naruse (Yui NARUSE)

- Status changed from Assigned to Rejected

000000000 tibeurt DODODOODODODODOD reject DOD
